installation on ubuntu

Dear Lammps users,

I am trying to install parallel version of lammps on ubuntu. I am using make mpi after installing the prerequisite packages. However, I get this error:
…/pair_sw.cpp:474:20: error: no ‘void LAMMPS_NS::PairSW::setup()’ member function declared in class ‘LAMMPS_NS::PairSW’
void PairSW::setup()
^
Makefile:104: recipe for target ‘pair_sw.o’ failed
make[1]: *** [pair_sw.o] Error 1
make[1]: Leaving directory ‘/etc/apt/lammps-29Sep16/src/Obj_mpi’
Makefile:132: recipe for target ‘mpi’ failed
make: *** [mpi] Error 2

Could anyone please let me know how to resolve the problem?

Best regards,

Nima Pirouzmand

Dear Lammps users,
I am trying to install parallel version of lammps on ubuntu. I am using make
mpi after installing the prerequisite packages. However, I get this error:
../pair_sw.cpp:474:20: error: no ‘void LAMMPS_NS::PairSW::setup()’ member
function declared in class ‘LAMMPS_NS::PairSW’
void PairSW::setup()
                    ^
Makefile:104: recipe for target 'pair_sw.o' failed
make[1]: *** [pair_sw.o] Error 1
make[1]: Leaving directory '/etc/apt/lammps-29Sep16/src/Obj_mpi'
Makefile:132: recipe for target 'mpi' failed
make: *** [mpi] Error 2

Could anyone please let me know how to resolve the problem?

try "make package-update"?

or "rm pair_sw.*"

axel.

Thank you Axel.

I’ll try it.

Best regards,

Nima Pirouzmand